<div class="single-user-admin-panel-container">
  <mat-card class="user-card">
    <div class="username ">
      <mat-card-title> {{this.user?.username}} </mat-card-title>
    </div>

    <mat-card-subtitle class="center">
      <div class="user-roles">
        <mat-list dense>
          <div *ngFor='let group of this.userGroups' class="group">
            <mat-list-item> {{group.name}} </mat-list-item>
          </div>
        </mat-list>
      </div>
    </mat-card-subtitle>
    <div class="role-buttons center">
      <div class='add-role-button' *ngIf='!this.isEditor'>
        <button mat-button class="change-role  text-center" (click)="this.addRole('Editor')">Make Editor</button>
      </div>
      <div class='delete-role-button' *ngIf='this.isEditor'>
        <button mat-button color="warn" class="change-role  text-center" (click)="this.removeRole('Editor')">Remove from
          Editor</button>
      </div>
      <div class='add-role-button' *ngIf='!this.isAdmin'>
        <button mat-button class="change-role  text-center" (click)="this.addRole('Admin')">Make Admin</button>
      </div>
      <div class='delete-role-button' *ngIf='this.isAdmin'>
        <button mat-button color="warn" class="change-role  text-center" (click)="this.removeRole('Admin')">Remove from
          Admin</button>
      </div>
    </div>
    <div class="delete-button center">
      <button mat-button color="warn" class="delete-article" (click)="this.deleteUser()">Delete User </button>
    </div>
  </mat-card>
</div>
